'use strict';

window.addEventListener("load",function(){

    var abrirVentana = document.getElementById("abrir_conexion");
    var ventanaAgregarConexion = document.querySelector(".ventana_abrir_conexion");
    var cerrarVentana = document.querySelector(".cerrar_ventana");
    var btnCancelar = document.getElementById("cancelar_ventana");
    var selectTipoConexion = document.getElementById("tipo_conexion");
    var selectServidor = document.getElementById("servidor_abrir_conexion");
   
    
    abrirVentana.onclick = function(){ 
        var conexion = document.getElementById("valor_abrir").value;
        this.setAttribute("href","?nom="+conexion);      
        ventanaAgregarConexion.style.display ="inline-block"; 
    }
    cerrarVentana.onclick = function () {
        history.pushState({data:true}, 'nom', 'index.php');
        ventanaAgregarConexion.style.display ="none";
    }
    btnCancelar.onclick = function () {
        history.pushState({data:true}, 'nom', 'index.php');
        ventanaAgregarConexion.style.display ="none";
    }

    const valores = window.location.search;
    const urlParams = new URLSearchParams(valores);
   
    if(urlParams.has('nom') == true){
       ventanaAgregarConexion.style.display ="inline-block";
    }
  
  //mostrar o ocultar campos de servidor
    selectTipoConexion.onchange= function () { 
   
        if(selectTipoConexion.value === "local"){
          
               selectServidor.setAttribute("disabled","");
        }else{
            selectServidor.removeAttribute("disabled","");
        }

    }

    if(selectTipoConexion.value === "local"){
        selectServidor.setAttribute("disabled","");
    }



});


function eliminar(nombre){

    Swal.fire({
        title: '¿Seguro que desea eliminar la conexión?',
        type: 'question',
        icon: 'question',
        showCancelButton: true,
        confirmButtonText: 'Si',
        cancelButtonText: "No",
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
      }).then((result) => {
        if (result.value) {
            window.location.href='include/funciones/eliminar_xml.php?nombre='+nombre;
        }
        return false;
      })

}